Echo: Help tooltip in preferences is not accessible
Closed, ResolvedPublic

Description

The help tooltips in the preferences, used by the Echo extension are not accessible.

These are being generated by HTMLCheckMatrix in includes/htmlform/fields/HTMLCheckMatrix.php in mediawiki-core. We need to make this accessible. Possibly by using aria-labelledby, see https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/ARIA_Techniques/Using_the_aria-labelledby_attribute and https://www.w3.org/TR/wai-aria-1.1/#aria-labelledby

Details

Reference
bz52711
bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz52711.
bzimport added a subscriber: Unknown Object (MLST).
TheDJ created this task.Aug 10 2013, 9:45 PM
Danny_B moved this task from Unsorted to Tooltip on the Accessibility board.Jan 22 2016, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 22 2016, 9:18 PM
Prtksxna renamed this task from Help tooltip in preferences is not accessible to Echo: Help tooltip in preferences is not accessible.Nov 8 2017, 4:59 AM
Prtksxna updated the task description. (Show Details)
Prtksxna added a project: Google-Code-in-2017.
Prtksxna added a subscriber: Prtksxna.

I'd like to mentor this during Google-Code-in-2017.

Aklapper updated the task description. (Show Details)Nov 20 2017, 1:30 PM
divadsn claimed this task.Dec 14 2017, 8:18 AM
divadsn added a comment.EditedDec 14 2017, 8:38 AM

Gonna look later on my PC at home if my changes work, after that I will upload my patchset :)

This comment was removed by divadsn.

So we need an additional attribute in HTMLCheckMatrix for aria-labelledby so the Echo extension can make a use of those for accessibility?

So we need an additional attribute in HTMLCheckMatrix for aria-labelledby so the Echo extension can make a use of those for accessibility?

Yep, that is correct.

I've got an even better idea, as I noticed that tipsy.js is replacing title with original-title, I just renamed original-title to aria-label, so we've got it fixed for every tooltip :)

Change 398611 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/core@master] Fix tooltip accessibility for screen readers

https://gerrit.wikimedia.org/r/398611

Florian closed this task as Resolved.Dec 16 2017, 2:53 PM

Change 398611 merged by jenkins-bot:
[mediawiki/core@master] Fix tooltip accessibility for screen readers

https://gerrit.wikimedia.org/r/398611

@divadsn Thanks, very nice improvement!